RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1147518 - RFE: Help for every spoke
Summary: RFE: Help for every spoke
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lorax
Version: 7.1
Hardware: All
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Brian Lane
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On: 1072033
Blocks: 1129723
TreeView+ depends on / blocked
 
Reported: 2014-09-29 13:03 UTC by Martin Kolman
Modified: 2015-03-05 07:54 UTC (History)
6 users (show)

Fixed In Version: lorax-19.6.39-1
Doc Type: Enhancement
Doc Text:
Feature: Add Help for every spoke in Anaconda. Reason: Help users understand how to better use anaconda. Result: Don't remove libraries needed by yelp, the help browser and leave the contents of /usr/share/doc/anaconda in the installation media since that is where the help files are stored.
Clone Of: 1072033
Environment:
Last Closed: 2015-03-05 07:54:01 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)
help message (132.93 KB, image/png)
2014-11-10 14:19 UTC, Alexander Todorov
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0342 0 normal SHIPPED_LIVE lorax bug fix and enhancement update 2015-03-05 12:22:06 UTC

Description Martin Kolman 2014-09-29 13:03:00 UTC
+++ This bug was initially created as a clone of Bug #1072033 +++

Help in anaconda is currently non-existent.

Only the manual partitioning screen contains some help, which is not formatted, contains typos, and is somewhat outdated (for example, "Apply changes" is now "Update Settings").

With the adequate documentation in the Installation Guide, we can have relevant help for every spoke.

This RFE is to provide a help icon to the hub screen and each spoke screen. Upon clicking the icon a dialog should appear with relevant text from IG, properly formatted in HTML just like at the documentation portal.


Vrata already volunteered to work on this in due time :)

Comment 1 Martin Kolman 2014-09-29 13:07:57 UTC
There are some changes needed in Lorax to create the correct environment for the built-in feature:
* making sure the /usr/share/doc/anaconda directory is properly created and present
* do not remove libXt, it is needed by the yelp help viewer

Patches for all these changes are already present on the Lorax master branch and only need to be rebased to RHEL7.

Comment 3 Alexander Todorov 2014-11-10 14:19:20 UTC
Created attachment 955829 [details]
help message

On a few screens I tried there's the same message that Anaconda built-in help isn't available yet.

Comment 4 Brian Lane 2014-11-10 19:10:06 UTC
The lorax part of this is working, in that the yelp help browser runs (because it is included) and it says there is no help yet. The actual help contents will likely come from a new package, Martin is working on that part of things.

Comment 5 Alexander Todorov 2014-11-11 09:31:38 UTC
(In reply to bcl from comment #4)
> The lorax part of this is working, in that the yelp help browser runs
> (because it is included) and it says there is no help yet. The actual help
> contents will likely come from a new package, Martin is working on that part
> of things.

Thanks for the clarification. Moving this one to VERIFIED then.

Comment 7 errata-xmlrpc 2015-03-05 07:54:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0342.html


Note You need to log in before you can comment on or make changes to this bug.